#!/bin/bash

package=fftExtract
version=-QM-svn

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB ../.. $*

prefix=$GEXTAUDIODB_INSTALLED

export CFLAGS="$CFLAGS -I$GEXTAUDIODB_INSTALLED/include"
export CPPFLAGS="$CPPFLAGS -I$GEXTAUDIODB_INSTALLED/include"
export CXXFLAGS="$CXXFLAGS -I$GEXTAUDIODB_INSTALLED/include"
export LDFLAGS="$LDFLAGS -L$GEXTAUDIODB_INSTALLED/lib"

echo GSDLOS = $GSDLOS

opt_run_untar $force_untar $auto_untar $package $version

##if [ $force_untar = "1" ] ; then
if [ $auto_config = "1" ] ; then
  if [ -d $package$version ] ; then

    if [ ! -f fftExtract-QM-svn/configure.ac ] ; then
      echo "Copying audioDB-configure.ac to fftExtract-QM-snv/configure.ac"
      /bin/cp audioDB-configure.ac fftExtract-QM-svn/configure.ac
    fi

    if [ ! -f fftExtract-QM-svn/configure ] ; then
      echo "Copying audioDB-configure to fftExtract-QM-snv/configure"
      /bin/cp audioDB-configure fftExtract-QM-svn/configure
    fi

    if [ ! -f fftExtract-QM-svn/Makefile.in ] ; then
      echo "Copying audioDB-Makefile.in to fftExtract-QM-snv/Makefile.in"
      /bin/cp audioDB-Makefile.in fftExtract-QM-svn/Makefile.in
    fi

    if [ ! -f fftExtract-QM-svn/config.h.in ] ; then
      echo "Creating empty fftExtract-QM-snv/config.h.in"
      touch fftExtract-QM-svn/config.h.in
    fi

  fi
fi

opt_run_configure $force_config $auto_config $package $version $prefix


opt_run_make $compile $package $version 


#  GENGETOPT=$GEXTAUDIODB_INSTALLED/bin/gengetopt \
#  SOAPCPP2=$GEXTAUDIODB_INSTALLED/bin/soapcpp2 \
#  GSOAP_CPP=$GEXT_AUDIODB/packages/gsoap-2.8,3/gsoap/stdsoap2.cpp


#  GSOAP_INCLUDE="-I /path/to/gsoap" \
#  GSL_INCLUDE'"-I /path/to/gsl/"
#  LIBGSL="-L/path/to/libgsl/libraries -lgsl -lgslcblas"

opt_run_make $install $package $version "install"
opt_run_make $clean $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version

